Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2258796 - Review Request: python-kivy - Open source UI framework
Summary: Review Request: python-kivy - Open source UI framework
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2258595
Blocks: 2242702
TreeView+ depends on / blocked
 
Reported: 2024-01-17 11:44 UTC by Benson Muite
Modified: 2024-01-29 14:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Benson Muite 2024-01-17 11:44:35 UTC
spec: https://download.copr.fedorainfracloud.org/results/fed500/python-kivy/fedora-rawhide-x86_64/06912231-python-kivy/python-kivy.spec
srpm: https://download.copr.fedorainfracloud.org/results/fed500/python-kivy/fedora-rawhide-x86_64/06912231-python-kivy/python-kivy-2.3.0-1.fc40.src.rpm

description:
Kivy is an open-source Python framework for developing GUI apps that work
cross-platform, including desktop, mobile and embedded platforms.

The aim is to allow for quick and easy interaction design and rapid prototyping
whilst making your code reusable and deployable: Innovative user interfaces made
easy.

Kivy is written in Python and Cython and is built on OpenGL ES 2.0. It supports
various input devices and has an extensive (and extensible) widget library. With
the same codebase, you can target Windows, macOS, Linux (including Raspberry Pi
OS), Android, and iOS. All Kivy widgets are built with multitouch support.

Kivy is MIT licensed, actively developed by a great community and is supported
by many projects managed by the Kivy Organization.

fas: fed500



Reproducible: Always

Comment 1 Fedora Review Service 2024-01-17 11:47:45 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6912259
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2258796-python-kivy/fedora-rawhide-x86_64/06912259-python-kivy/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Benson Muite 2024-01-17 11:52:57 UTC
Checking on licensing upstream:
https://github.com/kivy/kivy/pull/8570

Unsure why some directories are listed as not owned. Added explicit ownership for
directories not owned by python(abi):
https://src.fedoraproject.org/rpms/python3.12/blob/rawhide/f/python3.12.spec#_1337
Similar issue elsewhere:
https://bugzilla.redhat.com/show_bug.cgi?id=2222367

Comment 3 Ben Beasley 2024-01-20 13:07:53 UTC
I tried building this with

fedora-review -b 2258796 -L kivy-deps/

where kivy-deps contains python3-kivy-garden-0.1.5-1.fc40.noarch.rpm from bug 2258595.

The build failed with:

  ERROR: Dependency for context.pyx not resolved: config.pxi
  ERROR: Dependency for compiler.pyx not resolved: config.pxi
  ERROR: Dependency for context_instructions.pyx not resolved: config.pxi
  ERROR: Dependency for fbo.pyx not resolved: config.pxi
  ERROR: Dependency for gl_instructions.pyx not resolved: config.pxi
  ERROR: Dependency for instructions.pyx not resolved: config.pxi
  ERROR: Dependency for opengl.pyx not resolved: config.pxi
  ERROR: Dependency for opengl_utils.pyx not resolved: config.pxi
  ERROR: Dependency for shader.pyx not resolved: config.pxi
  ERROR: Dependency for stencil_instructions.pyx not resolved: config.pxi
  ERROR: Dependency for scissor_instructions.pyx not resolved: config.pxi
  ERROR: Dependency for texture.pyx not resolved: config.pxi
  ERROR: Dependency for vbo.pyx not resolved: config.pxi
  ERROR: Dependency for vertex.pyx not resolved: config.pxi
  ERROR: Dependency for vertex_instructions.pyx not resolved: config.pxi
  ERROR: Dependency for cgl.pyx not resolved: config.pxi
  ERROR: Dependency for cgl_mock.pyx not resolved: config.pxi
  ERROR: Dependency for cgl_gl.pyx not resolved: config.pxi
  ERROR: Dependency for cgl_glew.pyx not resolved: config.pxi
  ERROR: Dependency for cgl_sdl2.pyx not resolved: config.pxi
  ERROR: Dependency for svg.pyx not resolved: config.pxi
  ERROR: Dependency for boxshadow.pyx not resolved: config.pxi

Any idea what’s going wrong? I can upload the complete build log if needed.

Comment 4 Benson Muite 2024-01-29 14:47:27 UTC
When building locally, the following are reported as errors:

/home/fedora/python-kivy/kivy-2.3.0/kivy/graphics/cgl_backend/cgl_gl.c: In function ‘__pyx_f_4kivy_8graphics_11cgl_backend_6cgl_gl_link_static’:
/home/fedora/python-kivy/kivy-2.3.0/kivy/graphics/cgl_backend/cgl_gl.c:4544:52: error: assignment to ‘void (*)(GLuint,  GLsizei,  const GLchar **, const GLint *)’ {aka ‘void (*)(unsigned int,  int,  const char **, const int *)’} from incompatible pointer type ‘void (*)(GLuint,  GLsizei,  const GLchar * const*, const GLint *)’ {aka ‘void (*)(unsigned int,  int,  const char * const*, const int *)’} [-Wincompatible-pointer-types]
 4544 |   __pyx_v_4kivy_8graphics_3cgl_cgl->glShaderSource = glShaderSource;
      |                                                    ^
[INFO   ] building 'kivy.core.window._window_sdl2' extension
[INFO   ] gcc -fno-strict-overflow -Wsign-compare -DDYNAMIC_ANNOTATIONS_ENABLED=1 -DNDEBUG -fexceptions -fexceptions -fexceptions -fPIC -I/home/fedora/python-kivy/kivy-2.3.0/kivy/include -I/usr/include/SDL2 -I/usr/local/include/SDL2 -I/usr/include/SDL2 -I/usr/include/SDL2 -I/usr/include/sysprof-6 -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/webp -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/python3.12 -c /home/fedora/python-kivy/kivy-2.3.0/kivy/core/window/_window_sdl2.c -o build/temp.linux-aarch64-cpython-312/home/fedora/python-kivy/kivy-2.3.0/kivy/core/window/_window_sdl2.o
/home/fedora/python-kivy/kivy-2.3.0/kivy/core/window/_window_sdl2.c: In function ‘__pyx_pf_4kivy_4core_6window_12_window_sdl2_18_WindowSDL2Storage_6setup_window’:
/home/fedora/python-kivy/kivy-2.3.0/kivy/core/window/_window_sdl2.c:8724:23: error: passing argument 1 of ‘SDL_SetEventFilter’ from incompatible pointer type [-Wincompatible-pointer-types]
 8724 |   SDL_SetEventFilter(((SDL_EventFilter *)__pyx_f_4kivy_4core_6window_12_window_sdl2__event_filter), ((void *)__pyx_v_self));
      |                      ~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      |                       |
      |                       int (**)(void *, SDL_Event *)
In file included from /usr/include/SDL2/SDL.h:41,
                 from /home/fedora/python-kivy/kivy-2.3.0/kivy/core/window/_window_sdl2.c:1253:
/usr/include/SDL2/SDL_events.h:1024:65: note: expected ‘SDL_EventFilter’ {aka ‘int (*)(void *, SDL_Event *)’} but argument is of type ‘int (**)(void *, SDL_Event *)’
 1024 | extern DECLSPEC void SDLCALL SDL_SetEventFilter(SDL_EventFilter filter,
      |                                                 ~~~~~~~~~~~~~~~~^~~~~~
 error: command '/usr/bin/gcc' failed with exit code 1
make: *** [Makefile:51: build] Error 1


Note You need to log in before you can comment on or make changes to this bug.